import { createApp } from 'vue'
import App from './App.vue'
import router from './router/router.js'
// import store from '@/store'
import pinia from './pinia'
import api from '@/api/index.js'
import tools from '@/utils/common.js'
import specialChar from'@/utils/directive.js'
import axios from 'axios'

import Less from 'less'
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import zhCn from 'element-plus/dist/locale/zh-cn.mjs'
// import jwtDecode from 'jwt-decode'

let app = createApp(App)

// 根据域名判断调用测试站接口
let hostName = window.location.hostname

/* 
 * 正式站：https://event.teammodel.cn
 * 测试站：https://contest-test.teammodel.cn
*/
axios.defaults.baseURL = hostName === 'localhost' ? 'https://localhost:5001' : (hostName === 'contest-test.teammodel.cn' ? 'https://test.teammodel.cn' : 'https://www.teammodel.cn/')

app.config.globalProperties.$axios = axios
app.config.globalProperties.$api = api
app.config.globalProperties.$tools = tools
// app.config.globalProperties.$jwtDecode = jwtDecode

// 设置全局自定义指令
/* app.directive('special-char', specialChar)
app.directive('file-name', fileName) */
specialChar(app)

app.use(router)
// app.use(store)
app.use(pinia)
app.use(Less)
app.use(ElementPlus, {locale: zhCn})
app.mount('#app')
