import { defineStore } from 'pinia'

/**
 * 参数一：名字，必填且唯一
 * 参数二：选项式(state/getters/actions) 组合式采用函数形式(ref/computed()/functions) 组合式最后需return {}
 */
export const useStore = defineStore('main', {
    state: () => {
        return {
            srvAdr: '', // 伺服器位置 China, Global
            srvAdrType: '', // 正式站 product 測試站 test
            userInfo: {},
            schoolList: [],
            website: {},
        }
    },
    getters: {
        getSrvAdr: (state) => {
            return state.srvAdr
        },
    },
    actions: {
        setSrvAdr(value) {
            this.srvAdr = value
        },
        setSrvAdrType(value) {
            this.srvAdrType = value
        },
        setSchoolList(value) {
            this.schoolList = value
        },
        setUserInfo(value) {
            this.userInfo = value
        },
        setWebsite(value) {
            this.website = value
        },
        checkSrvAdr(context) {
            let hostname = window.location.hostname
            let domainUrl = hostname
        }
    }
})