import { createRouter, createWebHashHistory, createWebHistory } from 'vue-router'

let pathname = window.location.pathname
let areaRoute = pathname.substring(0, pathname.indexOf('/', 1) === -1 ? pathname.length : pathname.indexOf('/', 1))
areaRoute = ['/', '/home'].includes(areaRoute) ? '/teammodel' : areaRoute

let NO_AUTH_ROUTE = ['/home/homePage']

const routes = [
    {
        path: '/',
        redirect: '/home/homePage',
    },
    /* {
        path: "/login",
        name: "login",
        component: () => require.ensure([], (require) => require(`@/view/Login.vue`))
    }, */
    {
        path: '/home',
        name: 'home',
        redirect: '/home/homePage',
        component: () => require.ensure([], require => require('@/view/Home.vue')),
        children: [
            // 首页
            {
                path: 'homePage',
                name: 'homePage',
                isShow: true,
                component: () => import('@/view/homepage/HomePage.vue'),
                meta: {
                    needLogin: false,
                    activeName: 'home'
                }
            },
            // 活动总览
            {
                path: 'activityList',
                name: 'activityList',
                isShow: true,
                component: () => import('@/view/activitylist/ActivityList.vue'),
                meta: {
                    needLogin: true
                }
            },
            // 活动数据
            {
                path: 'activityInfo/:info',
                name: 'activityInfo',
                isShow: true,
                component: () => import('@/view/activitylist/ActivityInfo.vue'),
                meta: {
                    needLogin: true,
                    activeName: 'home'
                }
            },
            // 我的活动
            {
                path: 'myActivity',
                name: 'myActivity',
                isShow: true,
                component: () => import('@/view/myactivity/MyActivity.vue'),
                meta: {
                    needLogin: true,
                    activeName: 'myActivity'
                }
            },
            // 我的审核
            {
                path: 'myReview',
                name: 'myReview',
                isShow: true,
                component: () => import('@/view/myactivity/MyReview.vue'),
                meta: {
                    needLogin: true,
                    activeName: 'myReview'
                }
            },
            // 基础信息
            {
                path: 'basicInfo',
                name: 'basicInfo',
                isShow: true,
                component: () => import('@/view/basicInfo/BasicInfo.vue'),
                meta: {
                    needLogin: true,
                    activeName: ''
                }
            },
        ],
    }
];

const router = createRouter({
    history: createWebHistory(areaRoute + '/'),
    // base: areaRoute + '/',
    routes,
});

router.beforeEach((to, from, next) => {
    if(!to.meta.needLogin) {
        next()
    } else {
        let auth_token = localStorage.getItem('auth_token')
        if(auth_token) {
            next()
        } else {
            location.href = "https://account.teammodel.cn/?callback=" + window.location.href
        }
    }
})

export default router;