let findEle = (parent, type) => {
    return parent.tagName.toLowerCase() === type ? parent : parent.querySelector(type)
}

const trigger = (el, type) => {
    const e = document.createEvent('HTMLEvents')
    e.initEvent(type, true, true)
    el.dispatchEvent(e)
}

//普通特殊字符过滤
export default (app) => {
    app.directive('special-char', {
        mounted(el, binding, vnode) {
            // 正则规则可根据需求自定义
            // var regRule = /[`~!@#$%^&*()\-+=<>?:"{}|,.\/;'\\[\]·~！@#￥%……&*（）——\-+={}|《》？：“”【】、；‘’，。、]/g
            let regRule = /[`~?$^&*\/#$%￥|]/g
            let isChinese = false
            let $inp = findEle(el, 'input')
            el.$inp = $inp
            if ($inp) {
                $inp.handle = function () {
                    if (!isChinese) {
                        let val = $inp.value
                        $inp.value = val.replace(regRule, '')
                        trigger($inp, 'input')
                    }
                }
                $inp.chineseStart = function () {
                    isChinese = true
                }
                $inp.chineseEnd = function () {
                    isChinese = false
                }
                $inp.addEventListener('keyup', $inp.handle)
                $inp.addEventListener('compositionstart', $inp.chineseStart)
                $inp.addEventListener('compositionend', $inp.chineseEnd)
            }
        },
        unmounted(el) {
            el.$inp && el.$inp.removeEventListener('keyup', el.$inp.handle)
            el.$inp && el.$inp.removeEventListener('compositionend', el.$inp.chineseStart)
            el.$inp && el.$inp.removeEventListener('compositionstart', el.$inp.chineseStart)
            // el.$inp && el.$inp.removeEventListener('keydown', el.$inp.handle)
        },
    })
}